# meetandeat
[![Build Status](https://dev.sum7.eu/genofire/meetandeat/badges/master/build.svg)](https://dev.sum7.eu/genofire/meetandeat/pipelines)
[![Go Report Card](https://goreportcard.com/badge/dev.sum7.eu/genofire/meetandeat)](https://goreportcard.com/report/dev.sum7.eu/genofire/meetandeat)
[![GoDoc](https://godoc.org/dev.sum7.eu/genofire/meetandeat?status.svg)](https://godoc.org/dev.sum7.eu/genofire/meetandeat)


## Get meetandeat

#### Download

Latest Build binary from ci here:

[Download All](https://dev.sum7.eu/genofire/meetandeat/-/jobs/artifacts/master/download/?job=build-my-project) (with config example)

[Download Binary](https://dev.sum7.eu/genofire/meetandeat/-/jobs/artifacts/master/raw/meetandeat?inline=false&job=build-my-project)

#### Build

```bash
go get -u dev.sum7.eu/genofire/meetandeat
```

## Configure

see `config_example.conf`

## Start / Boot

_/lib/systemd/system/meetandeat.service_ :
```
[Unit]
Description=meetandeat
After=network.target

[Service]
Type=simple
# User=notRoot
ExecStart=/opt/go/bin/meetandeat serve --config /etc/meetandeat.conf
Restart=always
RestartSec=5sec

[Install]
WantedBy=multi-user.target
```

Start: `systemctl start meetandeat`
Autostart: `systemctl enable meetandeat`
